//#define _GLIBCXX_DEBUG
//#pragma GCC optimize("O3")
//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#define int long long
#define endl '\n'
#define fast ios_base::sync_with_stdio(false);cout.tie(nullptr);cin.tie(nullptr);
using namespace std;
void Bogdan(){
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    reverse(a,a+n);
    int res=a[n-1],k=1;
    for(int i=1;i<n;i++){
        if(a[i]==a[i-1]){
            res+=a[i];
            k++;
        }
        else{
            res+=max(a[i]-k,0ll);
            k++;
        }
    }
    cout<<res<<endl;
}
/*
*/
int32_t main(){
    fast;
    int t=1,n;
   // cin>>t;
    while(t--){
        Bogdan();
    }
}
